#!/usr/bin/env python3
# (c) 2023, Christof Schulze <christof.schulze@fau.de>, WW8
#
# simpledisplay is free software: you can redistribute it and/or modify it
# under the terms of the MIT License as published by the Free Software Foundation.
#
# simpledisplay is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY OF ANY KIND; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the MIT License for more details.
#
# You should have received a copy of the MIT License along with simpledisplay.
# If not, see <http://www.gnu.org/licenses/mit>.
#
# Current versions of simpleprint can be found on:
# https://simlab.ww.uni-erlangen.de/ww8it/python/simple-utils

import sys


class SimpleDisplay:
    """
    OUTPUT OF LAST RESORT

    This Class implements the minimal necessary functions for
    printing on stdout and stderr.
    For more detailed printing they can be replaced by more detailed
    functions, with colors and parallel/partial loging to files etc.
    """
    def display(self, msg, log_only=None):
        """
        [TODO]
        """
        print(msg, file=sys.stdout)

    def error(self, msg, wrap_text=None):
        """
        [TODO]
        """
        print(msg, file=sys.stderr)
